Bug 191451 - Nagios will not autostart after upgrade
Nagios will not autostart after upgrade
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 00:08 EDT by Jan ONDREJ
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 21:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2006-05-12 00:08:35 EDT
Description of problem:
Nagios will not start after update/upgrade and reboot.
It is a bug in its post-install script.

Version-Release number of selected component (if applicable):
2.3-3.fc5 but also some older packages.

How reproducible:
always

Steps to Reproduce:
1. Configure nagios to start automatically after reboot:
     chkconfig --add nagios
     chkconfig nagios on
2. Upgrade to latest version from fedora extras using yum.
2. Try to look setting:
     chkconfig --list nagios

  
Actual results:
service nagios supports chkconfig, but is not referenced in any runlevel (run
'chkconfig --add nagios')

Expected results:
nagios          0:off   1:off   2:on    3:on    4:on    5:on    6:off


Additional info:
This bug is present in spec file and its preun section. You can't delete
chkconfig entry on update, only on package removation. There are these lines now:
%preun
/sbin/service nagios stop > /dev/null 2>&1 || :
/sbin/chkconfig --del %{name} || :

You must check, if it is removation or upgrade. You can use this code:
%preun
/sbin/service nagios stop > /dev/null 2>&1 || :
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del %{name} || :
fi

and do not delete chkconfig entry on upgrade!

Can somebody check all fedora extras packages for this bug?
Comment 1 Mike McGrath 2006-05-15 21:48:16 EDT
This update is coming out with release 2.3.1.  Its built and should be in the
wild soon.

Note You need to log in before you can comment on or make changes to this bug.